org.apache.cassandra.transport

## Enum Frame.Header.Flag

- java.lang.Object
- - java.lang.Enum<Frame.Header.Flag>
  - - org.apache.cassandra.transport.Frame.Header.Flag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Frame.Header.Flag>

Enclosing class:
  Frame.Header

    public static enum Frame.Header.Flag
    extends java.lang.Enum<Frame.Header.Flag>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPRESSED`
`CUSTOM_PAYLOAD`
`TRACING`
`USE_BETA`
`WARNING`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.EnumSet<Frame.Header.Flag>` `deserialize(int flags)`
`static int` `serialize(java.util.EnumSet<Frame.Header.Flag> flags)`
`static Frame.Header.Flag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Frame.Header.Flag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPRESSED

    public static final Frame.Header.Flag COMPRESSED

#### TRACING

    public static final Frame.Header.Flag TRACING

#### CUSTOM_PAYLOAD

    public static final Frame.Header.Flag CUSTOM_PAYLOAD

#### WARNING

    public static final Frame.Header.Flag WARNING

#### USE_BETA

    public static final Frame.Header.Flag USE_BETA

### Method Detail

#### values

    public static Frame.Header.Flag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Frame.Header.Flag c : Frame.Header.Flag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Frame.Header.Flag valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### deserialize

    public static java.util.EnumSet<Frame.Header.Flag> deserialize(int flags)

#### serialize

    public static int serialize(java.util.EnumSet<Frame.Header.Flag> flags)